Create an mDocs configuration
Roles
Analytics Events
/v2/credentials/mobile/configurationsCreates a new mDocs configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.
Analytic events
- MOBILE_CREDENTIAL_CONFIGURATION_CREATE_START
- MOBILE_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS
- MOBILE_CREDENTIAL_CONFIGURATION_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The mDocs configuration payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/configurations" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "branding": { "name": "string", "description": "string", "backgroundColor": "string", "watermarkImage": "string", "issuerLogo": "string", "issuerIcon": "string" }, "includeStatus": false, "type": "string", "claimMappings": { "additionalProperties": { "additionalProperties": { "mapFrom": "string", "type": "boolean", "required": false, "defaultValue": "string", "display": [ { "name": "string", "locale": "string" } ] } } }, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }, "validFrom": { "mapFrom": "string" }, "validUntil": { "mapFrom": "string" }}How would you rate this page?
Delete a JSON credentials configuration DELETE
Deletes an existing JSON credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_START * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_FAIL
Retrieve all mDocs configurations GET
Retrieves all mDocs configurations from your tenant. ### **Analytic events** * MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL